> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Applys Flag

> Indicates that resolved values of a set of flags have been used. In many
 situations there is a delay between the moment a flag is resolved and
 when it is actually used in a client. This is often the case in mobile
 clients where you typically batch resolve all flags at startup, but then
 apply them later when the user interacts with a specific view. If the
 `apply` flag is set to false in a resolve, the flag assignment event is
 delayed until the flag is applied.



## OpenAPI

````yaml /api/flags/api/resolve.openapi.json post /v1/flags:apply
openapi: 3.1.0
info:
  title: Confidence Resolve API
  version: 1.0.0
  description: API documentation for resolve
servers: []
security: []
paths:
  /v1/flags:apply:
    post:
      summary: Applys Flag
      description: |-
        Indicates that resolved values of a set of flags have been used. In many
         situations there is a delay between the moment a flag is resolved and
         when it is actually used in a client. This is often the case in mobile
         clients where you typically batch resolve all flags at startup, but then
         apply them later when the user interacts with a specific view. If the
         `apply` flag is set to false in a resolve, the flag assignment event is
         delayed until the flag is applied.
      operationId: Flag.applys
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                flags:
                  type: array
                  items:
                    type: object
                    properties:
                      flag:
                        type: string
                        description: >-
                          The id of the flag that should be applied, has the
                          format `flags/*`.
                      applyTime:
                        type: object
                        description: The client time when the flag was applied.
                    required:
                      - flag
                      - applyTime
                  description: >-
                    The flags to apply and information about when they were
                    applied.
                     TODO: Temporarily changed from REQUIRED to OPTIONAL to allow empty flags
                     lists without returning INVALID_ARGUMENT. Re-add once SDKs are updated.
                clientSecret:
                  type: string
                  description: Credentials for the client.
                resolveToken:
                  type: object
                  description: >-
                    An opaque token that was returned from `ResolveFlags`; it
                    must be set.
                sendTime:
                  type: object
                  description: >-
                    The client time when the this request was sent, used for
                    correcting
                     clock skew from the client.
                sdk:
                  type: object
                  properties:
                    id:
                      type: string
                      enum:
                        - SDK_ID_UNSPECIFIED
                        - SDK_ID_JAVA_PROVIDER
                        - SDK_ID_KOTLIN_PROVIDER
                        - SDK_ID_SWIFT_PROVIDER
                        - SDK_ID_JS_WEB_PROVIDER
                        - SDK_ID_JS_SERVER_PROVIDER
                        - SDK_ID_PYTHON_PROVIDER
                        - SDK_ID_GO_PROVIDER
                        - SDK_ID_RUBY_PROVIDER
                        - SDK_ID_RUST_PROVIDER
                        - SDK_ID_JAVA_CONFIDENCE
                        - SDK_ID_KOTLIN_CONFIDENCE
                        - SDK_ID_SWIFT_CONFIDENCE
                        - SDK_ID_JS_CONFIDENCE
                        - SDK_ID_PYTHON_CONFIDENCE
                        - SDK_ID_GO_CONFIDENCE
                        - SDK_ID_RUST_CONFIDENCE
                        - SDK_ID_FLUTTER_IOS_CONFIDENCE
                        - SDK_ID_FLUTTER_ANDROID_CONFIDENCE
                        - SDK_ID_DOTNET_CONFIDENCE
                        - SDK_ID_GO_LOCAL_PROVIDER
                        - SDK_ID_JAVA_LOCAL_PROVIDER
                        - SDK_ID_JS_LOCAL_SERVER_PROVIDER
                        - SDK_ID_PYTHON_LOCAL_PROVIDER
                        - SDK_ID_RUST_LOCAL_PROVIDER
                      description: Name of a Confidence SDKs.
                    customId:
                      type: string
                      description: Custom name for non-Confidence SDKs.
                    version:
                      type: string
                      description: Version of the SDK.
                  description: Information about the SDK used to initiate the request.
              required:
                - clientSecret
                - resolveToken
                - sendTime
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties: {}
      servers:
        - url: https://resolver.eu.confidence.dev
        - url: https://resolver.us.confidence.dev

````